Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.services.deployment.metadata
Class ConfigInfo

    java.lang.Object
      org.jboss.services.deployment.metadata.ConfigInfo

All Implemented Interfaces:
  Serializable

public class ConfigInfo
extends Object
implements Serializable

Simple POJO class to model XML configuration data

Version:
  $Revision: 1.1.4.1 $
Author:
  Dimitris Andreadis
See Also:
  Serialized Form

Constructor Summary
`ConfigInfo()` Default CTOR
`ConfigInfo(String name, String copydir, String template, String extension, String description)` CTOR

Method Summary
`void` | `addPropertyInfo(PropertyInfo propertyInfo)`
`void` | `addTemplateInfo(TemplateInfo templateInfo)`
`boolean` | `equals(Object other)`
`String` | `getCopydir()`
`String` | `getDescription()`
`String` | `getExtension()`
`String` | `getName()`
`List` | `getPropertyInfoList()`
`String` | `getTemplate()`
`List` | `getTemplateInfoList()`
`int` | `hashCode()`
`void` | `setCopydir(String copydir)`
`void` | `setDescription(String description)`
`void` | `setExtension(String extension)`
`void` | `setName(String name)`
`void` | `setPropertyInfoList(List propertyList)`
`void` | `setTemplate(String template)`
`void` | `setTemplateInfoList(List templateList)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigInfo

    public ConfigInfo()

  Default CTOR

### ConfigInfo

    public ConfigInfo(String name,
                      String copydir,
                      String template,
                      String extension,
                      String description)

  CTOR

Parameters:
  `name` -
  `template` -
  `extension` -

Method Detail

### getExtension

    public String getExtension()

  Returns:
    Returns the extension.

### setExtension

    public void setExtension(String extension)

  Parameters:
    `extension` - The extension to set.

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getTemplate

    public String getTemplate()

  Returns:
    Returns the template.

### setTemplate

    public void setTemplate(String template)

  Parameters:
    `template` - The template to set.

### getDescription

    public String getDescription()

  Returns:
    Returns the description.

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - The description to set.

### getCopydir

    public String getCopydir()

  Returns:
    Returns the copydir.

### setCopydir

    public void setCopydir(String copydir)

  Parameters:
    `copydir` - The copydir to set.

### getPropertyInfoList

    public List getPropertyInfoList()

  Returns:
    Returns the propertyList.

### setPropertyInfoList

    public void setPropertyInfoList(List propertyList)

  Parameters:
    `propertyList` - The propertyList to set.

### addPropertyInfo

    public void addPropertyInfo(PropertyInfo propertyInfo)

### getTemplateInfoList

    public List getTemplateInfoList()

  Returns:
    Returns the templateList.

### setTemplateInfoList

    public void setTemplateInfoList(List templateList)

  Parameters:
    `templateList` - The templateList to set.

### addTemplateInfo

    public void addTemplateInfo(TemplateInfo templateInfo)

### toString

    public String toString()

### equals

    public boolean equals(Object other)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.